libmspub::CharacterStyle Struct Reference

`#include <MSPUBTypes.h>`

## Public Member Functions

| CharacterStyle ()

## Public Attributes

boost::optional< Underline > | underline
bool | italic
bool | bold
boost::optional< double > | textSizeInPt
int | colorIndex
boost::optional< unsigned > | fontIndex
SuperSubType | superSubType
bool | outline
bool | shadow
bool | smallCaps
bool | allCaps
bool | emboss
bool | engrave
boost::optional< double > | textScale
boost::optional< unsigned > | lcid

## Constructor & Destructor Documentation

## CharacterStyle()

libmspub::CharacterStyle::CharacterStyle | ( |  | ) |

inline

## Member Data Documentation

## allCaps

bool libmspub::CharacterStyle::allCaps

Referenced by CharacterStyle(), libmspub::MSPUBParser::getCharacterStyle(), and libmspub::MSPUBCollector::getCharStyleProps().

## bold

bool libmspub::CharacterStyle::bold

Referenced by CharacterStyle(), libmspub::MSPUBParser::getCharacterStyle(), libmspub::MSPUBCollector::getCharStyleProps(), and libmspub::MSPUBParser97::readCharacterStyle().

## colorIndex

int libmspub::CharacterStyle::colorIndex

Referenced by CharacterStyle(), libmspub::MSPUBParser::getCharacterStyle(), libmspub::MSPUBCollector::getCharStyleProps(), and libmspub::MSPUBParser97::readCharacterStyle().

## emboss

bool libmspub::CharacterStyle::emboss

Referenced by CharacterStyle(), libmspub::MSPUBParser::getCharacterStyle(), and libmspub::MSPUBCollector::getCharStyleProps().

## engrave

bool libmspub::CharacterStyle::engrave

Referenced by CharacterStyle(), libmspub::MSPUBParser::getCharacterStyle(), and libmspub::MSPUBCollector::getCharStyleProps().

## fontIndex

boost::optional<unsigned> libmspub::CharacterStyle::fontIndex

Referenced by CharacterStyle(), libmspub::MSPUBParser::getCharacterStyle(), libmspub::MSPUBCollector::getCharStyleProps(), and libmspub::MSPUBParser97::readCharacterStyle().

## italic

bool libmspub::CharacterStyle::italic

Referenced by CharacterStyle(), libmspub::MSPUBParser::getCharacterStyle(), libmspub::MSPUBCollector::getCharStyleProps(), and libmspub::MSPUBParser97::readCharacterStyle().

## lcid

boost::optional<unsigned> libmspub::CharacterStyle::lcid

Referenced by CharacterStyle(), libmspub::MSPUBParser::getCharacterStyle(), and libmspub::MSPUBCollector::getCharStyleProps().

## outline

bool libmspub::CharacterStyle::outline

Referenced by CharacterStyle(), libmspub::MSPUBParser::getCharacterStyle(), and libmspub::MSPUBCollector::getCharStyleProps().

## shadow

bool libmspub::CharacterStyle::shadow

Referenced by CharacterStyle(), libmspub::MSPUBParser::getCharacterStyle(), and libmspub::MSPUBCollector::getCharStyleProps().

## smallCaps

bool libmspub::CharacterStyle::smallCaps

Referenced by CharacterStyle(), libmspub::MSPUBParser::getCharacterStyle(), and libmspub::MSPUBCollector::getCharStyleProps().

## superSubType

SuperSubType libmspub::CharacterStyle::superSubType

Referenced by CharacterStyle(), libmspub::MSPUBParser::getCharacterStyle(), and libmspub::MSPUBCollector::getCharStyleProps().

## textScale

boost::optional<double> libmspub::CharacterStyle::textScale

Referenced by CharacterStyle(), libmspub::MSPUBParser::getCharacterStyle(), and libmspub::MSPUBCollector::getCharStyleProps().

## textSizeInPt

boost::optional<double> libmspub::CharacterStyle::textSizeInPt

Referenced by CharacterStyle(), libmspub::MSPUBParser::getCharacterStyle(), libmspub::MSPUBCollector::getCharStyleProps(), and libmspub::MSPUBParser97::readCharacterStyle().

## underline

boost::optional<Underline> libmspub::CharacterStyle::underline

Referenced by CharacterStyle(), libmspub::MSPUBParser::getCharacterStyle(), libmspub::MSPUBCollector::getCharStyleProps(), and libmspub::MSPUBParser97::readCharacterStyle().

The documentation for this struct was generated from the following file:

- MSPUBTypes.h